Bug 709718 - Build failure on PPC
Summary: Build failure on PPC
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openni (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: powerpc Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 709720
TreeView+ depends on / blocked
 
Reported: 2011-06-01 13:23 UTC by Karsten Hopp
Modified: 2011-06-27 13:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:17:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2011-06-01 13:23:37 UTC
Description of problem:
openni fails to build on PPC.
A quick glance at the docs shows that openni is supported on x86 only.
I'd suggest to use
ExclusiveArch: %{x86} x86_64
instead of the ExcludeArch: ppc64

This would  do the right thing for all secondary archs

Comment 1 Rex Dieter 2011-06-27 13:17:09 UTC
%changelog
* Mon Jun 27 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.0.25-0.5.git4c9ff978
- ExclusiveArch: %%ix86 x86_64 (#709718)


Note You need to log in before you can comment on or make changes to this bug.